app:
  description: ''
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 自然语言查询PG数据库
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/tongyi:0.0.14@d333909fe8d75a335b44da4b878d5120779b8703f12c21cf4730135d6864afbb
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: hjlarry/database:0.0.4@3a0b78c887a9321a78fca56f4c68ca85434a298032d34964d92b61e322977938
kind: app
version: 0.1.5
workflow:
  conversation_variables: []
  environment_variables:
  - description: ''
    id: 64474ee1-5efb-455b-a913-b22d2bafed12
    name: db_uri
    selector:
    - env
    - db_uri
    value: postgresql://postgres:difyai123456@db:5432/dify
    value_type: string
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInLoop: false
        sourceType: start
        targetType: tool
      id: 1743045786048-source-1743047843871-target
      selected: false
      source: '1743045786048'
      sourceHandle: source
      target: '1743047843871'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: llm
        targetType: parameter-extractor
      id: 1743054507256-source-1743055410552-target
      selected: false
      source: '1743054507256'
      sourceHandle: source
      target: '1743055410552'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: parameter-extractor
        targetType: if-else
      id: 1743056254171-source-1743057253233-target
      source: '1743056254171'
      sourceHandle: source
      target: '1743057253233'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: if-else
        targetType: end
      id: 1743057253233-true-1743057301207-target
      source: '1743057253233'
      sourceHandle: 'true'
      target: '1743057301207'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: if-else
        targetType: tool
      id: 1743057253233-false-1743048407363-target
      source: '1743057253233'
      sourceHandle: 'false'
      target: '1743048407363'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: tool
        targetType: llm
      id: 1743048407363-source-1743054507256-target
      selected: false
      source: '1743048407363'
      sourceHandle: source
      target: '1743054507256'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: parameter-extractor
        targetType: if-else
      id: 1743055410552-source-1743057389627-target
      source: '1743055410552'
      sourceHandle: source
      target: '1743057389627'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: if-else
        targetType: end
      id: 1743057389627-true-1743057453798-target
      source: '1743057389627'
      sourceHandle: 'true'
      target: '1743057453798'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: if-else
        targetType: tool
      id: 1743057389627-false-1743055153879-target
      source: '1743057389627'
      sourceHandle: 'false'
      target: '1743055153879'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: tool
        targetType: if-else
      id: 1743055153879-source-1743057734643-target
      source: '1743055153879'
      sourceHandle: source
      target: '1743057734643'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: if-else
        targetType: end
      id: 1743057734643-false-1743046165613-target
      source: '1743057734643'
      sourceHandle: 'false'
      target: '1743046165613'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: if-else
        targetType: end
      id: 1743057734643-true-1743057814112-target
      source: '1743057734643'
      sourceHandle: 'true'
      target: '1743057814112'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: tool
        targetType: parameter-extractor
      id: 1743047843871-source-1743056254171-target
      source: '1743047843871'
      sourceHandle: source
      target: '1743056254171'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables:
        - label: 问题
          max_length: 200
          options: []
          required: true
          type: text-input
          variable: question
      height: 90
      id: '1743045786048'
      position:
        x: 32.781477917009056
        y: 245
      positionAbsolute:
        x: 32.781477917009056
        y: 245
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743055153879'
          - text
          variable: text
        selected: false
        title: 结果输出
        type: end
      height: 90
      id: '1743046165613'
      position:
        x: 610.2758447096619
        y: 1006.1857080025084
      positionAbsolute:
        x: 610.2758447096619
        y: 1006.1857080025084
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        is_team_authorization: true
        output_schema: null
        paramSchemas:
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: The SQL query string.
            ja_JP: The SQL query string.
            pt_BR: The SQL query string.
            zh_Hans: SQL 查询语句。
          label:
            en_US: SQL Query
            ja_JP: SQL Query
            pt_BR: SQL Query
            zh_Hans: SQL 查询语句
          llm_description: The SQL query string.
          max: null
          min: null
          name: query
          options: []
          placeholder: null
          precision: null
          required: true
          scope: null
          template: null
          type: string
        - auto_generate: null
          default: json
          form: form
          human_description:
            en_US: Choose the output format.
            ja_JP: Choose the output format.
            pt_BR: Choose the output format.
            zh_Hans: 选择输出格式。
          label:
            en_US: Output format
            ja_JP: Output format
            pt_BR: Output format
            zh_Hans: 输出格式
          llm_description: ''
          max: null
          min: null
          name: format
          options:
          - label:
              en_US: JSON
              ja_JP: JSON
              pt_BR: JSON
              zh_Hans: JSON
            value: json
          - label:
              en_US: CSV
              ja_JP: CSV
              pt_BR: CSV
              zh_Hans: CSV
            value: csv
          - label:
              en_US: YAML
              ja_JP: YAML
              pt_BR: YAML
              zh_Hans: YAML
            value: yaml
          - label:
              en_US: Markdown
              ja_JP: Markdown
              pt_BR: Markdown
              zh_Hans: Markdown
            value: md
          - label:
              en_US: Excel
              ja_JP: Excel
              pt_BR: Excel
              zh_Hans: Excel
            value: xlsx
          - label:
              en_US: HTML
              ja_JP: HTML
              pt_BR: HTML
              zh_Hans: HTML
            value: html
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: select
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            ja_JP: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            pt_BR: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            zh_Hans: 选填，填写后将覆盖授权时填写的数据库连接。
          label:
            en_US: DB URI
            ja_JP: DB URI
            pt_BR: DB URI
            zh_Hans: DB URI
          llm_description: ''
          max: null
          min: null
          name: db_uri
          options: []
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: string
        params:
          db_uri: ''
          format: ''
          query: ''
        provider_id: hjlarry/database/database
        provider_name: hjlarry/database/database
        provider_type: builtin
        selected: false
        title: 查询所有表名
        tool_configurations:
          format: md
        tool_label: SQL Execute
        tool_name: sql_execute
        tool_parameters:
          db_uri:
            type: mixed
            value: '{{#env.db_uri#}}'
          query:
            type: mixed
            value: "SELECT \n    table_schema,\n    table_name\nFROM information_schema.tables\n\
              WHERE table_type = 'BASE TABLE'\n    AND table_schema NOT IN ('pg_catalog',\
              \ 'information_schema')\nORDER BY table_schema, table_name;"
        type: tool
      height: 90
      id: '1743047843871'
      position:
        x: 359.6914740649944
        y: 220.8773345450623
      positionAbsolute:
        x: 359.6914740649944
        y: 220.8773345450623
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        is_team_authorization: true
        output_schema: null
        paramSchemas:
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: The SQL query string.
            ja_JP: The SQL query string.
            pt_BR: The SQL query string.
            zh_Hans: SQL 查询语句。
          label:
            en_US: SQL Query
            ja_JP: SQL Query
            pt_BR: SQL Query
            zh_Hans: SQL 查询语句
          llm_description: The SQL query string.
          max: null
          min: null
          name: query
          options: []
          placeholder: null
          precision: null
          required: true
          scope: null
          template: null
          type: string
        - auto_generate: null
          default: json
          form: form
          human_description:
            en_US: Choose the output format.
            ja_JP: Choose the output format.
            pt_BR: Choose the output format.
            zh_Hans: 选择输出格式。
          label:
            en_US: Output format
            ja_JP: Output format
            pt_BR: Output format
            zh_Hans: 输出格式
          llm_description: ''
          max: null
          min: null
          name: format
          options:
          - label:
              en_US: JSON
              ja_JP: JSON
              pt_BR: JSON
              zh_Hans: JSON
            value: json
          - label:
              en_US: CSV
              ja_JP: CSV
              pt_BR: CSV
              zh_Hans: CSV
            value: csv
          - label:
              en_US: YAML
              ja_JP: YAML
              pt_BR: YAML
              zh_Hans: YAML
            value: yaml
          - label:
              en_US: Markdown
              ja_JP: Markdown
              pt_BR: Markdown
              zh_Hans: Markdown
            value: md
          - label:
              en_US: Excel
              ja_JP: Excel
              pt_BR: Excel
              zh_Hans: Excel
            value: xlsx
          - label:
              en_US: HTML
              ja_JP: HTML
              pt_BR: HTML
              zh_Hans: HTML
            value: html
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: select
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            ja_JP: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            pt_BR: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            zh_Hans: 选填，填写后将覆盖授权时填写的数据库连接。
          label:
            en_US: DB URI
            ja_JP: DB URI
            pt_BR: DB URI
            zh_Hans: DB URI
          llm_description: ''
          max: null
          min: null
          name: db_uri
          options: []
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: string
        params:
          db_uri: ''
          format: ''
          query: ''
        provider_id: hjlarry/database/database
        provider_name: hjlarry/database/database
        provider_type: builtin
        selected: false
        title: 查询表结构
        tool_configurations:
          format: md
        tool_label: SQL Execute
        tool_name: sql_execute
        tool_parameters:
          db_uri:
            type: mixed
            value: '{{#env.db_uri#}}'
          query:
            type: mixed
            value: "select\n  c.table_name,\n  c.column_name,\n  c.data_type,\n  c.is_nullable,\n\
              \  c.column_default,\n  tc.constraint_type,\n  ccu.table_name AS referenced_table,\n\
              \  ccu.column_name AS referenced_column\nfrom\n  information_schema.columns\
              \ c\nLEFT join\n  information_schema.key_column_usage kcu\n  ON c.table_name\
              \ = kcu.table_name\n  AND c.column_name = kcu.column_name\nLEFT join\n\
              \  information_schema.table_constraints tc\n  ON kcu.constraint_name\
              \ = tc.constraint_name\n  AND tc.constraint_type = 'FOREIGN KEY'\nLEFT\
              \ join\n  information_schema.constraint_column_usage ccu\n  ON tc.constraint_name\
              \ = ccu.constraint_name\nwhere\n  c.table_name in {{#1743056254171.table_list#}}\n\
              order by\n  c.ordinal_position"
        type: tool
      height: 90
      id: '1743048407363'
      position:
        x: 657.2068406558296
        y: 418.5605199467597
      positionAbsolute:
        x: 657.2068406558296
        y: 418.5605199467597
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: true
          variable_selector:
          - '1743048407363'
          - text
        desc: ''
        model:
          completion_params: {}
          mode: chat
          name: qwen-turbo
          provider: langgenius/tongyi/tongyi
        prompt_template:
        - id: 2179cf11-1d2f-48f6-9545-a9564afc026b
          role: system
          text: 'You are an SQL specialist, with given table structure in {{#context#}},
            write an SQL to fulfill the user''s query {{#1743045786048.question#}}


            # Action

            - Database type is Postgresql

            - Try to find relations between tables, use join syntax to build the query

            - Not all tables are needed, use only related tables

            - Output top 100 records each time


            # Format

            - the output should be a valid json format starting with { and ends with
            }

            - outout format should be {"sql","the_sql_generated"}'
        selected: false
        title: 生成SQL语句
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1743054507256'
      position:
        x: 20.439822751979307
        y: 599.4644826314127
      positionAbsolute:
        x: 20.439822751979307
        y: 599.4644826314127
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        default_value:
        - key: text
          type: string
          value: error
        - key: json
          type: array[object]
          value: '[]'
        desc: ''
        error_strategy: default-value
        is_team_authorization: true
        output_schema: null
        paramSchemas:
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: The SQL query string.
            ja_JP: The SQL query string.
            pt_BR: The SQL query string.
            zh_Hans: SQL 查询语句。
          label:
            en_US: SQL Query
            ja_JP: SQL Query
            pt_BR: SQL Query
            zh_Hans: SQL 查询语句
          llm_description: The SQL query string.
          max: null
          min: null
          name: query
          options: []
          placeholder: null
          precision: null
          required: true
          scope: null
          template: null
          type: string
        - auto_generate: null
          default: json
          form: form
          human_description:
            en_US: Choose the output format.
            ja_JP: Choose the output format.
            pt_BR: Choose the output format.
            zh_Hans: 选择输出格式。
          label:
            en_US: Output format
            ja_JP: Output format
            pt_BR: Output format
            zh_Hans: 输出格式
          llm_description: ''
          max: null
          min: null
          name: format
          options:
          - label:
              en_US: JSON
              ja_JP: JSON
              pt_BR: JSON
              zh_Hans: JSON
            value: json
          - label:
              en_US: CSV
              ja_JP: CSV
              pt_BR: CSV
              zh_Hans: CSV
            value: csv
          - label:
              en_US: YAML
              ja_JP: YAML
              pt_BR: YAML
              zh_Hans: YAML
            value: yaml
          - label:
              en_US: Markdown
              ja_JP: Markdown
              pt_BR: Markdown
              zh_Hans: Markdown
            value: md
          - label:
              en_US: Excel
              ja_JP: Excel
              pt_BR: Excel
              zh_Hans: Excel
            value: xlsx
          - label:
              en_US: HTML
              ja_JP: HTML
              pt_BR: HTML
              zh_Hans: HTML
            value: html
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: select
        - auto_generate: null
          default: null
          form: llm
          human_description:
            en_US: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            ja_JP: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            pt_BR: Optional, Filling in this field will overwrite the database connection
              entered during authorization.
            zh_Hans: 选填，填写后将覆盖授权时填写的数据库连接。
          label:
            en_US: DB URI
            ja_JP: DB URI
            pt_BR: DB URI
            zh_Hans: DB URI
          llm_description: ''
          max: null
          min: null
          name: db_uri
          options: []
          placeholder: null
          precision: null
          required: false
          scope: null
          template: null
          type: string
        params:
          db_uri: ''
          format: ''
          query: ''
        provider_id: hjlarry/database/database
        provider_name: hjlarry/database/database
        provider_type: builtin
        selected: false
        title: 查询数据库
        tool_configurations:
          format: md
        tool_label: SQL Execute
        tool_name: sql_execute
        tool_parameters:
          db_uri:
            type: mixed
            value: '{{#env.db_uri#}}'
          query:
            type: mixed
            value: '{{#1743055410552.sql#}}'
        type: tool
      height: 126
      id: '1743055153879'
      position:
        x: 638.0547282633149
        y: 718.9968528254353
      positionAbsolute:
        x: 638.0547282633149
        y: 718.9968528254353
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        instruction: 从输入变量中提取SQL的值
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: qwen-turbo
          provider: langgenius/tongyi/tongyi
        parameters:
        - description: SQL查询语句
          name: sql
          required: false
          type: string
        query:
        - '1743054507256'
        - text
        reasoning_mode: prompt
        selected: false
        title: 提取SQL语句
        type: parameter-extractor
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1743055410552'
      position:
        x: 11.888264397902049
        y: 796.6734314716094
      positionAbsolute:
        x: 11.888264397902049
        y: 796.6734314716094
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        author: 平淡无奇
        desc: ''
        height: 197
        selected: false
        showAuthor: true
        text: '{"root":{"children":[{"children":[{"detail":0,"format":0,"mode":"normal","style":"","text":"一个通用的PostgreSQL查询的工具，在环境变量中设定db_uri的值，如果使用dify默认的数据库，则输入","type":"text","version":1}],"direction":"ltr","format":"","indent":0,"type":"paragraph","version":1,"textFormat":0,"textStyle":""},{"children":[{"detail":0,"format":0,"mode":"normal","style":"","text":"postgresql://postgres:difyai123456@db:5432/dify","type":"text","version":1}],"direction":"ltr","format":"","indent":0,"type":"paragraph","version":1,"textFormat":0,"textStyle":""},{"children":[],"direction":null,"format":"","indent":0,"type":"paragraph","version":1,"textFormat":0,"textStyle":""},{"children":[{"detail":0,"format":0,"mode":"normal","style":"","text":"为了数据安全，务必使用只读账号来操作。","type":"text","version":1}],"direction":"ltr","format":"","indent":0,"type":"paragraph","version":1,"textFormat":0,"textStyle":""}],"direction":"ltr","format":"","indent":0,"type":"root","version":1}}'
        theme: blue
        title: ''
        type: ''
        width: 586
      height: 197
      id: '1743055925073'
      position:
        x: 359.6914740649944
        y: 75.28813022379032
      positionAbsolute:
        x: 359.6914740649944
        y: 75.28813022379032
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom-note
      width: 586
    - data:
        desc: ''
        instruction: '你是一个数据库专家，精通SQL语法，需要对结构化的数据进行处理。


          # 要求

          - 根据用户输入内容“{{#1743045786048.question#}}”，筛选出可能的相关数据表

          - 首先在结果列表中添加一个固定值：my_random_table

          - 以括号包裹的方式输出，例如：(''my_random_table'',''value1'',''value2'',''value3'')

          '
        model:
          completion_params:
            temperature: 0.7
          mode: chat
          name: qwen-turbo
          provider: langgenius/tongyi/tongyi
        parameters:
        - description: 相关表
          name: table_list
          required: false
          type: string
        query:
        - '1743047843871'
        - text
        reasoning_mode: prompt
        selected: false
        title: 提取表名
        type: parameter-extractor
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1743056254171'
      position:
        x: 32.781477917009056
        y: 404.45129325337797
      positionAbsolute:
        x: 32.781477917009056
        y: 404.45129325337797
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: '='
            id: 405908b2-6394-4953-9786-f2338830b8d0
            value: '0'
            varType: number
            variable_selector:
            - '1743056254171'
            - __is_success
          id: 'true'
          logical_operator: and
        desc: ''
        selected: false
        title: 条件分支
        type: if-else
      height: 126
      id: '1743057253233'
      position:
        x: 334.122483623221
        y: 404.45129325337797
      positionAbsolute:
        x: 334.122483623221
        y: 404.45129325337797
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743056254171'
          - __reason
          variable: __reason
        selected: false
        title: 提取表名错误
        type: end
      height: 90
      id: '1743057301207'
      position:
        x: 669.3945485419754
        y: 274.3838870441551
      positionAbsolute:
        x: 669.3945485419754
        y: 274.3838870441551
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: '='
            id: 792b455c-ad4f-4a5b-a234-fca4961872dc
            value: '0'
            varType: number
            variable_selector:
            - '1743055410552'
            - __is_success
          id: 'true'
          logical_operator: and
        desc: ''
        selected: false
        title: 条件分支 2
        type: if-else
      height: 126
      id: '1743057389627'
      position:
        x: 323.55339324044655
        y: 664.3497458505985
      positionAbsolute:
        x: 323.55339324044655
        y: 664.3497458505985
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743055410552'
          - __reason
          variable: __reason
        selected: false
        title: 提取SQL语句错误
        type: end
      height: 90
      id: '1743057453798'
      position:
        x: 632.8314248835381
        y: 572.2193380404545
      positionAbsolute:
        x: 632.8314248835381
        y: 572.2193380404545
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        cases:
        - case_id: 'true'
          conditions:
          - comparison_operator: empty
            id: f3c45f63-72fe-41f8-a068-8ba2ff74d99f
            value: ''
            varType: string
            variable_selector:
            - '1743055153879'
            - text
          - comparison_operator: is
            id: 2c991259-a1c1-43c7-b806-3833d92eaabb
            value: error
            varType: string
            variable_selector:
            - '1743055153879'
            - text
          id: 'true'
          logical_operator: or
        desc: ''
        selected: false
        title: 条件分支 3
        type: if-else
      height: 152
      id: '1743057734643'
      position:
        x: 284.8820873971042
        y: 858.0880977240474
      positionAbsolute:
        x: 284.8820873971042
        y: 858.0880977240474
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743055410552'
          - sql
          variable: sql
        selected: false
        title: 输出无结果SQL
        type: end
      height: 90
      id: '1743057814112'
      position:
        x: 596.6343956110684
        y: 886.860419426047
      positionAbsolute:
        x: 596.6343956110684
        y: 886.860419426047
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 503.0386854590847
      y: -26.649796049182214
      zoom: 0.7578582832551992
